/* General Style*/
body {
  background-color:  #fff2cc;
  font-family: Calibri, sans-serif;
  max-width: 74rem;
  text-align: left;
  margin: auto;
  overflow-y: scroll;
}

textarea {
  vertical-align: top;
}​

 .container {
  background-color: white;
}

table{
  border-spacing: 15px 15px;
}

/* Heading */
h1{
  border-radius: 15px;
  background-color: white;
  text-align: center;
  font-weight: 900;
  font-size: 3rem;
  margin: 10px 10px 10px 10px;
  color: #CC0000;
}

h2 {
  text-align: center;
  font-weight: 900;
  margin: 10px 10px 10px 10px;
  color: black;
}

h3 {
   text-align: center;
  font-weight: 900;
  margin: 10px 10px 10px 10px;
  color: black;
}
/* End heading */

/* Text alignment */
p {
  padding: 10px;
  text-align: center;
}

.layout {
  margin: 0 10px 0 10px;
}
/* End text alignment */

.checkboxes {
  text-align: justify;
  display: grid;
  font-size: 18px;
  grid-template-columns: auto auto auto;
  grid-column-gap: 5px;
  grid-template-rows: auto auto;
  grid-row-gap: 20px;
  margin: 0px 0px 0px 20px;
}

/* Show and upload recipes */
.show {
  text-align: center;
  margin-top: 15px;
}

.upload {
  text-align: center;
  margin-top: 5px;
}
/* End show and upload recipes */


/*Buttons styles*/
.recipe-button {
  border-radius: 30px;
  background-color: #CC0044;
  border: none;
  color: white;
  padding: 10px 28px;
  text-align: center;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
}

.allrecipe{
  border-radius: 30px;
  background-color: #CC0044;
  border: none;
  color: white;
  padding: 10px 28px;
  text-align: center;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
}
.upload-button {
  border-radius: 30px;
  background-color: #CC0044;
  border: none;
  color: white;
  padding: 10px 28px;
  text-align: center;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
}

.back {
  border-radius: 30px;
  background-color: #CC0044;
  border: none;
  color: white;
  padding: 10px 25px;
  text-align: center;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
}

.donate {
  border-radius: 30px;
  background-color: #CC0044;
  border: none;
  color: white;
  padding: 10px 25px;
  text-align: center;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
}

.moreinfo {
  border-radius: 30px;
  background-color: #0044CC;
  border: none;
  color: white;
  padding: 10px 25px;
  text-align: center;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
}

.locate {
  border-radius: 30px;
  background-color: #CC0044;
  border: none;
  color: white;
  padding: 10px 25px;
  text-align: center;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
}

.submitrequest {
  border-radius: 30px;
  background-color: #CC0044;
  border: none;
  color: white;
  padding: 10px 25px;
  text-align: center;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
}

.upload-recipe {
  border-radius: 30px;
  background-color: #CC0044;
  border: none;
  color: white;
  padding: 10px 25px;
  text-align: center;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
}
/*End button styles*/

/* Image layout */
.image{
  text-align: center;
  background-color: #fff2cc;
}

#output{
  display:none;
  margin: 0 auto 0 auto;
  text-align: center;
  width:150px;
  height:100px;
}

.recipeimage {
  height:150px;
  width: 200px;
  display: block;
  margin-left: auto;
  margin-right: auto;

}

/* End image layout */

/*Bottom navbar*/
.navbar {
  max-width: 74rem;
  border-radius: 15px;
  overflow: hidden;
  background-color: #333;
  position: fixed;
  bottom: 0px;
  width: 100%;
  margin-top: 10px;
  display: grid;
  grid-template-columns: auto auto auto;
}

.navbar a {
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
}

.navbar a:hover {
  background: #f1f1f1;
  color: black;
}

.navbar a.active {
  background-color: #CC0044;
  color: white;
}
/*End bottom navbar*/

/* List of available items */
.card_available_items1 {
  display: grid;
  grid-template-columns: auto auto auto;
  text-align: center;
  align-items: center;
  box-shadow: 0 7px 10px rgba(0,0,0,0.25);
  padding: 5px;
  margin-top: 5px;

}
.moreinfo_image{
  height: 150px;
  width: 200px;
}
.info_div{
  text-align: center;
}

.moreinfo_buttons{
  display: grid;
  grid-template-columns: auto auto;
  grid-column-gap: 20px;
}
#map-canvas{
  width:400px;
  height: 400px;
  display: none;
 position: absolute;
 top: 75px;
 left: 0;
 width: 100%;
 height: 67%;
 z-index: 10;
}

/* Recipe list layout */
.recipe{
  display: flex;
  box-shadow: 0 7px 10px rgba(0,0,0,0.25);
  padding: 5px;
  margin-top: 5px;
}


.list{
  margin-top: 50px;
  margin-bottom: 70px;
}
.list div{
  display: grid;
  grid-template-columns: auto auto auto;
  text-align: center;
  align-items: center;
  box-shadow: 0 7px 10px rgba(0,0,0,0.25);
  padding: 5px;
  margin-top: 5px;
}
/* End recipe list layout */

td{
  background-color: #fff2cc;
}
/* End General Style */
